Package javassist.compiler.ast

# Class CondExpr

java.lang.Object
javassist.compiler.ast.ASTree
javassist.compiler.ast.ASTList
javassist.compiler.ast.CondExpr

All Implemented Interfaces:
  `Serializable`

public class CondExpr extends ASTList
Conditional expression.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CondExpr(ASTree cond, ASTree thenp, ASTree elsep)`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(Visitor v)`
Is a method for the visitor pattern.
`ASTree`
`condExpr()`
`ASTree`
`elseExpr()`
`String`
`getTag()`
`void`
`setCond(ASTree t)`
`void`
`setElse(ASTree t)`
`void`
`setThen(ASTree t)`
`ASTree`
`thenExpr()`

### Methods inherited from class javassist.compiler.ast.ASTList

`append, concat, getLeft, getRight, head, length, length, make, setHead, setLeft, setRight, setTail, sublist, subst, tail, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CondExpr

public CondExpr(ASTree cond, ASTree thenp, ASTree elsep)

## Method Details

### condExpr

public ASTree condExpr()

### setCond

public void setCond(ASTree t)

### thenExpr

public ASTree thenExpr()

### setThen

public void setThen(ASTree t)

### elseExpr

public ASTree elseExpr()

### setElse

public void setElse(ASTree t)

### getTag

public String getTag()

### accept

public void accept(Visitor v) throws javassist.compiler.CompileError
Description copied from class: `ASTree`
Is a method for the visitor pattern. It calls `atXXX()` on the given visitor, where `XXX` is the class name of the node object.

Overrides:
  `accept` in class `ASTList`
Throws:
  `javassist.compiler.CompileError`